﻿using System;
using Syncfusion.SfPicker.XForms.Droid;
using Native = Com.Syncfusion.SfPicker.SfPicker;

[assembly: Xamarin.Forms.Dependency(typeof(PickerAndroid))]
namespace Syncfusion.SfPicker.XForms.Droid
{
	public class PickerAndroid : IPickerInterface
	{
		internal static Native nativePicker;
		public PickerAndroid()
		{
		}

		public void Close()
		{
			if (nativePicker != null)
				nativePicker.Close();
		}

		public void Open()
		{
			if (nativePicker != null)
				nativePicker.Open();
		}

		public void Dispose()
		{
			if (nativePicker != null)
				nativePicker.Dispose();
		}
	}
}
