﻿using Syncfusion.SfPicker.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace PickerSample.View
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class MainPage : ContentPage
    {
        SfPicker picker;
        public MainPage()
        {
            InitializeComponent();
        }

        private void searchEntry_TextChanged(object sender, TextChangedEventArgs e)
        {
            if(e.NewTextValue.Length == 2)
            {
                foreach(var item in picker.ItemsSource)
                {
                    if (item.ToString().Equals(e.NewTextValue.ToString(),StringComparison.OrdinalIgnoreCase))
                    {
                        picker.SelectedItem = item;
                    }
                }
            }      
           
        }

        private void picker1_OnPickerItemLoaded(object sender, PickerViewEventArgs e)
        {
            picker = sender as SfPicker;
        }
    }


}